Summary:	Fast and easy-to-use status bar
Name:		polybar
Version:	3.6.3
Release:	2
License:	MIT, BSD
Group:		X11/Window Managers
Source0:	https://github.com/polybar/polybar/releases/download/%{version}/%{name}-%{version}.tar.gz 
# Source0-md5:	6d51c4632b20c524f919c0a3b3a704f0
URL:		https://polybar.github.io/
BuildRequires:	alsa-lib-devel
BuildRequires:	cairo-devel
BuildRequires:	cmake >= 3.5.0
BuildRequires:	curl-devel
BuildRequires:	i3
BuildRequires:	i3-devel
BuildRequires:	jsoncpp-devel >= 1.7.7
BuildRequires:	libmpdclient-devel
BuildRequires:	libnl-devel
BuildRequires:	libstdc++-devel >= 6:5.1
BuildRequires:	libuv-devel >= 1.3.0
BuildRequires:	libxcb-devel >= 1.12
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio
BuildRequires:	pulseaudio-devel
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-Sphinx
BuildRequires:	python3-xcbgen
BuildRequires:	rpmbuild(macros) >= 1.719
BuildRequires:	sphinx-pdg
BuildRequires:	xcb-proto
BuildRequires:	xcb-util-cursor-devel
BuildRequires:	xcb-util-devel
BuildRequires:	xcb-util-image-devel
BuildRequires:	xcb-util-wm-devel
BuildRequires:	xcb-util-xrm-devel
Requires:	jsoncpp >= 1.7.7
Requires:	libuv >= 1.3.0
Requires:	libxcb >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polybar aims to help users build beautiful and highly customizable
status bars for their desktop environment, without the need of having
a black belt in shell scripting.

%package -n bash-completion-polybar
Summary:	bash-completion for polybar
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0
BuildArch:	noarch

%description -n bash-completion-polybar
bash-completion for polybar.

%package -n zsh-completion-polybar
Summary:	zsh-completion for polybar
Summary(pl.UTF-8):	Uzupełnianie nazw w zsh dla polybar
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-polybar
zsh-completion for polybar.

%prep
%setup -q

%build
install -d build
cd build
%cmake ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md SUPPORT.md
%dir %{_sysconfdir}/polybar
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/polybar/config.ini
%attr(755,root,root) %{_bindir}/polybar
%attr(755,root,root) %{_bindir}/polybar-msg
%{_mandir}/man1/polybar.1*
%{_mandir}/man1/polybar-msg.1*
%{_mandir}/man5/polybar.5*

%files -n bash-completion-polybar
%defattr(644,root,root,755)
%{bash_compdir}/polybar

%files -n zsh-completion-polybar
%defattr(644,root,root,755)
%{zsh_compdir}/_polybar
%{zsh_compdir}/_polybar_msg
%changelog
* Thu Nov 03 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/polybar.git;a=log;h=master

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> 0d25ae4
- jsoncpp rebuild

* Wed Jun 15 2022 Jan Palus <atler@pld-linux.org> 459ddd3
- up to 3.6.3

* Tue Sep 21 2021 Jan Palus <atler@pld-linux.org> 6399b72
- upstream patch for increasing precision of network speed

* Tue Sep 21 2021 Jan Palus <atler@pld-linux.org> a3cde44
- up to 3.5.7

* Mon May 24 2021 Jan Palus <atler@pld-linux.org> d8099a7
- up to 3.5.6

* Sun Mar 14 2021 Jan Palus <atler@pld-linux.org> e8f4381
- up to 3.5.5

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> c9e175a
- unconditional noarch subpackages

* Fri Jan 08 2021 Jan Palus <atler@pld-linux.org> 2bccd74
- up to 3.5.4

* Thu Dec 31 2020 Jan Palus <atler@pld-linux.org> 45abc12
- add patches for reducing overhead of mpd plugin; rel 2

* Thu Dec 24 2020 Jan Palus <atler@pld-linux.org> eaba815
- up to 3.5.3

* Mon Dec 14 2020 Jan Palus <atler@pld-linux.org> 5ba8430
- up to 3.5.2

* Sat Dec 12 2020 Jan Palus <atler@pld-linux.org> ab58030
- up to 3.5.1

* Wed Dec 02 2020 Jan Palus <atler@pld-linux.org> d26473f
- up to 3.5.0

* Sat Jun 13 2020 Jan Palus <atler@pld-linux.org> d2e8211
- release 2 (by relup.sh)

* Sat Jun 13 2020 Jan Palus <atler@pld-linux.org> 7759ced
- BR: i3, pulseaudio (for moronic support detection mechanism)

* Mon May 18 2020 Jan Palus <atler@pld-linux.org> 1319050
- up to 3.4.3

* Wed Apr 08 2020 Jan Palus <atler@pld-linux.org> 8ae9a57
- package sample config

* Tue Apr 07 2020 Jan Palus <atler@pld-linux.org> 3d06777
- new (version 3.4.2)

